3

I am trying to install solc v0.4.25 through brew on a Mac. Please note that I was able to install its latest version solc v.0.5.0 using brew install solidity; but I am unable to install its previous version using:

brew install https://raw.githubusercontent.com/ethereum/homebrew-ethereum/9599ce8371d9de039988f89ed577460e58a0f56a/solidity.rb

Please note that I have done sudo mv /opt/local ~/macports. Is there any alternative way to install solc v0.4.25, which is a previous version.

[Q] How could I overcome this error?

$ brew unlink solidity
$ brew install https://raw.githubusercontent.com/ethereum/homebrew-ethereum/9599ce8371d9de039988f89ed577460e58a0f56a/solidity.rb
######################################################################## 100.0%
Warning: solidity 0.5.0 is available and more recent than version 0.4.24.
==> Downloading https://github.com/ethereum/solidity/releases/download/v0.4.24/solidity_0.4.24.tar.gz
Already downloaded: /Users/alper/Library/Caches/Homebrew/downloads/901e9d034f6a2c114bcf56b7d1d3c73cc05b1890a43928baf3706ebddc1ca66f--solidity_0.4.24.tar.gz
==> cmake . -DCMAKE_C_FLAGS_RELEASE=-DNDEBUG -DCMAKE_CXX_FLAGS_RELEASE=-DNDEBUG -DCMAKE_INSTALL_PREFIX=/usr/l
==> make install
Last 15 lines from /Users/alper/Library/Logs/Homebrew/solidity/02.make:
    ^
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/include/c++/v1/string:792:5: note: candidate constructor not viable: requires 3 arguments, but 1 was provided
    basic_string(size_type __n, _CharT __c, const _Allocator& __a);
    ^
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/include/c++/v1/string:796:5: note: candidate constructor not viable: requires at least 2 arguments, but 1 was provided
    basic_string(const basic_string& __str, size_type __pos,
    ^
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/include/c++/v1/string:793:5: note: candidate constructor not viable: requires at least 3 arguments, but 1 was provided
    basic_string(const basic_string& __str, size_type __pos, size_type __n,
    ^
2 errors generated.
make[2]: *** [libevmasm/CMakeFiles/evmasm.dir/Assembly.cpp.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[1]: *** [libevmasm/CMakeFiles/evmasm.dir/all] Error 2
make: *** [all] Error 2

Do not report this issue to Homebrew/brew or Homebrew/core!


Error: You have MacPorts or Fink installed:
  /sw/bin/fink, /opt/local/bin/port

This can cause trouble. You don't have to uninstall them, but you may want to
temporarily move them out of the way, e.g.

  sudo mv /opt/local ~/macports

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.